MantisBT

View Issue Details Jump to Notes ] Wiki ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0014399mantisbtinstallationpublic2012-06-20 08:062014-09-23 18:05
Reporterdregad 
Assigned Todregad 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.2.12 
Target Version1.2.12Fixed in Version1.2.12 
Summary0014399: Lack of detailed error message during schema creation
DescriptionDuring MantisBT installation, when a schema upgrade step includes several SQL statements (as generated by ADOdb), a detailed error message is only reported the problem occurs while executing the last statement.

In other cases (e.g. error on 1st statement), failure is properly detected by the installer, but there are no details on the error.
TagsNo tags attached.
Attached Files

- Relationships
related to 0015721closedgrangeway Functionality to consider porting to master-2.0.x 
related to 0009720closeddregad Error upgrading from 1.1.x (PostgreSQL) 

-  Notes
User avatar (0032129)
dregad (developer)
2012-06-20 13:40

Problem fixed by calling ADOdb ExecuteSQLArray( $sqlarray, false ) instead of ExecuteSQLArray( $sqlarray ) which stops processing after first error.
(0032145)
RobertPattinson (viewer)
2012-06-22 05:50

Calling ExecuteSQLArray() with the 2nd param = false forces the function
to return the error message on first failure instead of continuing with
the next statement.
thanks
robert
http://www.fedoraproject.org/wiki/User:Cyberworldukltd [^]
User avatar (0032146)
dregad (developer)
2012-06-22 06:07

What is your point ?
User avatar (0036162)
grangeway (developer)
2013-04-05 17:56

Marking as 'acknowledged' not resolved/closed to track that change gets ported to master-2.0.x branch

- Related Changesets
MantisBT: master 1ee24f63
Timestamp: 2012-06-20 10:33:18
Author: dregad
Details ] Diff ]
Fix Lack of detailed error message during schema creation

During MantisBT installation, when a schema upgrade step includes
several SQL statements (as generated by ADOdb), a detailed error message
was only reported the problem occurs while executing the last statement.

Calling ExecuteSQLArray() with the 2nd param = false forces the function
to return the error message on first failure instead of continuing with
the next statement.

Fixes 0014399
mod - admin/install.php Diff ] File ]
MantisBT: master-1.2.x e94e0a8a
Timestamp: 2012-06-20 10:33:18
Author: dregad
Details ] Diff ]
Fix Lack of detailed error message during schema creation

During MantisBT installation, when a schema upgrade step includes
several SQL statements (as generated by ADOdb), a detailed error message
was only reported the problem occurs while executing the last statement.

Calling ExecuteSQLArray() with the 2nd param = false forces the function
to return the error message on first failure instead of continuing with
the next statement.

Fixes 0014399
mod - admin/install.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-06-20 08:06 dregad New Issue
2012-06-20 08:06 dregad Status new => assigned
2012-06-20 08:06 dregad Assigned To => dregad
2012-06-20 13:38 dregad Changeset attached => MantisBT master 1ee24f63
2012-06-20 13:38 dregad Status assigned => resolved
2012-06-20 13:38 dregad Resolution open => fixed
2012-06-20 13:38 dregad Fixed in Version => 1.3.x
2012-06-20 13:39 dregad Changeset attached => MantisBT master-1.2.x e94e0a8a
2012-06-20 13:40 dregad Note Added: 0032129
2012-06-20 13:40 dregad Fixed in Version 1.3.x => 1.2.12
2012-06-22 05:10 dregad Relationship added related to 0009720
2012-06-22 05:50 RobertPattinson Note Added: 0032145
2012-06-22 06:07 dregad Note Added: 0032146
2012-11-10 18:54 dregad Status resolved => closed
2013-04-05 17:56 grangeway Status closed => acknowledged
2013-04-05 17:56 grangeway Note Added: 0036162
2013-04-05 19:27 grangeway Relationship added related to 0015721
2013-04-06 03:40 dregad Status acknowledged => closed
2013-04-06 07:23 grangeway Status closed => acknowledged
2013-04-06 09:22 dregad Tag Attached: 2.0.x check
2013-04-06 09:23 dregad Status acknowledged => closed
2014-09-23 18:05 grangeway Tag Detached: 2.0.x check


MantisBT 1.2.17 [^]
Copyright © 2000 - 2014 MantisBT Team
Time: 0.0788 seconds.
memory usage: 3,072 KB
Powered by Mantis Bugtracker